Will the latest version of iOS sync with my Mac running OS X Snow Leopard?

Episode 1358 (1:39:36)

Mark from Temecula, CA
Apple iPhone 7 Plus

Mark hasn't updated his iPhone because he's worried that doing so will prevent him from syncing with iTunes on his old MacBook. Where can he go to see what updates will support what versions of OS X? iOS 10 requires iTunes 12.5.1 to sync, so Mark is probably not going to want to update it. What version will work on Snow Leopard? Leo says that Mark can probably use the new version of iTunes on Snow Leopard, but this is worth verifying before he does anything.

Doctor Mom says that there's an Apple technote on this at discussions.apple.com.